#include <plib.h>
#include "NU32.h"
#include "stopwatch_prototypes.h"

/*********/
/* MAIN  */
/*********/
int main(void)
{
  /* setup LED's and buttons: */
  NU32_Startup();

  /* initialize the CN pins and interrupts: */
  initializeCN();

  /* initialize UARTS and interrupts */
  NU32_Initialize();

  /* provide feedback that we are starting up: */
  sprintf(NU32_RS232OutBuffer, "Timer Ready\n\r");
  NU32_WriteUART1(NU32_RS232OutBuffer);
    
  /* infinite loop: */
  while(1);
  return 0;
}
